From: "Akinori Hattori" <hattya@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libsixel/
Date: Fri, 24 Jan 2025 13:07:54 +0000 (UTC) [thread overview]
Message-ID: <1737724010.8953f23e2ecf8640dfa26e4362a9dbb2878f085b.hattya@gentoo> (raw)
commit: 8953f23e2ecf8640dfa26e4362a9dbb2878f085b
Author: Akinori Hattori <hattya <AT> gentoo <DOT> org>
AuthorDate: Fri Jan 24 13:06:50 2025 +0000
Commit: Akinori Hattori <hattya <AT> gentoo <DOT> org>
CommitDate: Fri Jan 24 13:06:50 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8953f23e
media-libs/libsixel: new upstream release
Signed-off-by: Akinori Hattori <hattya <AT> gentoo.org>
media-libs/libsixel/Manifest | 1 +
media-libs/libsixel/libsixel-1.10.5.ebuild | 87 ++++++++++++++++++++++++++++++
2 files changed, 88 insertions(+)
diff --git a/media-libs/libsixel/Manifest b/media-libs/libsixel/Manifest
index 4eb122615413..d27281a5b66f 100644
--- a/media-libs/libsixel/Manifest
+++ b/media-libs/libsixel/Manifest
@@ -1 +1,2 @@
DIST libsixel-1.10.3.tar.gz 4272940 BLAKE2B f65d9a3bdd54917f5746b7b1650dfca7084c64b505ea9cae07863c476d1189114d9fb303ec01d8fa209542e891f1d359ec6dbdc9babc4313b06b709813fab020 SHA512 ef16f9ccecec8289728ec84ce9f24145648f8a38184c1ec3df8ead3499c6cf7d3e0a0c738f8bfcb1093e16ee8ae7ce5e46d3890707c8104752ce4ab7eb3bc7ac
+DIST libsixel-1.10.5.tar.gz 4286415 BLAKE2B a05981c627529ba0bc045726d46a865b676f7057e436b2b9ed367738d655ac149b5a524e8da7379b56275eb62a113c9acbfe0f7ad8066a08fd583b29eae2277b SHA512 94fc972ee304885936d5d8fbc3dadc5feadebf1ab262bb49c9ae9b1eed19c528ed823f4d31c17326340f06a5b7ee28a1817be15ae55c3e9d0c4437cd36b3e49d
diff --git a/media-libs/libsixel/libsixel-1.10.5.ebuild b/media-libs/libsixel/libsixel-1.10.5.ebuild
new file mode 100644
index 000000000000..447a8603bc2a
--- /dev/null
+++ b/media-libs/libsixel/libsixel-1.10.5.ebuild
@@ -0,0 +1,87 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+PYTHON_COMPAT=( python3_{10..12} )
+DISTUTILS_USE_PEP517="setuptools"
+DISTUTILS_OPTIONAL="1"
+
+inherit bash-completion-r1 distutils-r1 meson
+
+DESCRIPTION="A lightweight, fast implementation of DEC SIXEL graphics codec"
+HOMEPAGE="https://github.com/libsixel/libsixel"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~x86"
+IUSE="curl gd gtk jpeg png python test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="curl? ( net-misc/curl )
+ gd? ( media-libs/gd )
+ gtk? ( x11-libs/gdk-pixbuf:2 )
+ jpeg? ( media-libs/libjpeg-turbo:= )
+ png? ( media-libs/libpng:0 )
+ python? ( ${PYTHON_DEPS} )"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+ python? (
+ ${PYTHON_DEPS}
+ ${DISTUTILS_DEPS}
+ )"
+
+src_prepare() {
+ sed -i '/^have/d' converters/shell-completion/bash/img2sixel
+
+ default
+ if use python; then
+ cd python || die
+ distutils-r1_src_prepare
+ cd - >/dev/null || die
+ fi
+}
+
+src_configure() {
+ emesonargs=(
+ $(meson_feature curl libcurl)
+ $(meson_feature gd)
+ $(meson_feature gtk gdk-pixbuf2)
+ $(meson_feature jpeg)
+ $(meson_feature png)
+ $(meson_feature test tests)
+ -Dbashcompletiondir="$(get_bashcompdir)"
+ )
+ meson_src_configure
+ if use python; then
+ cd python || die
+ distutils-r1_src_configure
+ cd - >/dev/null || die
+ fi
+}
+
+src_compile() {
+ meson_src_compile
+ if use python; then
+ cd python || die
+ distutils-r1_src_compile
+ cd - >/dev/null || die
+ fi
+}
+
+src_install() {
+ meson_src_install
+
+ cd images || die
+ docompress -x /usr/share/doc/${PF}/images
+ docinto images
+ dodoc egret.jpg map{8,16}.png snake.jpg vimperator3.png
+ cd - >/dev/null || die
+
+ if use python; then
+ cd python || die
+ distutils-r1_src_install
+ cd - >/dev/null || die
+ fi
+}
next reply other threads:[~2025-01-24 13:07 UTC|newest]
Thread overview: 40+ messages / expand[flat|nested] mbox.gz Atom feed top
2025-01-24 13:07 Akinori Hattori [this message]
-- strict thread matches above, loose matches on Subject: below --
2024-04-14 5:47 [gentoo-commits] repo/gentoo:master commit in: media-libs/libsixel/ Akinori Hattori
2024-04-14 5:47 Akinori Hattori
2024-04-14 5:47 Akinori Hattori
2023-04-30 5:21 Akinori Hattori
2023-04-30 5:21 Akinori Hattori
2023-02-26 18:16 Arthur Zamarin
2023-01-13 4:40 Sam James
2023-01-13 3:50 Sam James
2023-01-12 22:00 Ionen Wolkens
2023-01-11 11:42 Ionen Wolkens
2022-12-11 11:35 Jakov Smolić
2022-12-11 2:44 Sam James
2022-12-11 2:37 Sam James
2022-08-12 13:34 Akinori Hattori
2022-08-12 11:55 Agostino Sarubbo
2022-08-08 12:34 Agostino Sarubbo
2022-05-17 7:56 WANG Xuerui
2021-10-02 13:12 Akinori Hattori
2021-10-01 13:52 Akinori Hattori
2020-04-30 12:59 Akinori Hattori
2020-04-30 12:59 Akinori Hattori
2020-04-30 12:59 Akinori Hattori
2020-03-01 2:02 Akinori Hattori
2018-07-23 13:15 Akinori Hattori
2018-07-23 13:15 Akinori Hattori
2018-07-23 13:15 Akinori Hattori
2018-07-23 13:15 Akinori Hattori
2018-07-23 13:15 Akinori Hattori
2018-06-23 7:15 Akinori Hattori
2018-06-23 7:15 Akinori Hattori
2018-01-02 11:08 Mike Frysinger
2017-02-06 13:41 Akinori Hattori
2017-02-06 13:41 Akinori Hattori
2016-09-15 13:45 Akinori Hattori
2016-09-15 13:45 Akinori Hattori
2016-04-10 13:07 Akinori Hattori
2016-03-12 7:38 Akinori Hattori
2016-02-27 5:58 Akinori Hattori
2015-11-29 15:42 Akinori Hattori
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1737724010.8953f23e2ecf8640dfa26e4362a9dbb2878f085b.hattya@gentoo \
--to=hattya@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox